import c4d
from c4d import gui
#Welcome to the world of Python


def main():
    doc = c4d.documents.GetActiveDocument()
    bd = doc.GetActiveBaseDraw()
    camMatrix = bd.GetMg()
    doc.StartUndo()
    op = doc.GetActiveObject()
    doc.AddUndo(c4d.UNDOTYPE_CHANGE, op)    
    op.SetMg(camMatrix)
    
    doc.EndUndo()
    c4d.EventAdd()

if __name__=='__main__':
    main()
